/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package net.sf.jftp.gui.tasks;

import net.sf.jftp.system.logging.Log;

import java.awt.*;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.*;

import chrriis.common.UIUtils;   
import chrriis.dj.nativeswing.swtimpl.NativeInterface;   
import chrriis.dj.nativeswing.swtimpl.components.JWebBrowser;   


public class NativeHttpBrowser extends JInternalFrame
{
	public static boolean initialized = false;
	
    public NativeHttpBrowser(String url)
    {
        super("Http Browser", true, true, true, true);
        
        if(!initialized) {
        	NativeInterface.open(); 
        	//NativeInterface.runEventPump(); 
        	initialized = true;
        }

        System.out.println("...");
        
        try
        {
            setTitle(url);

            JPanel p = new JPanel(); 
            p.setLayout(new BorderLayout()); 
            
            JWebBrowser.destroyOnFinalization();
            JWebBrowser webBrowser = new JWebBrowser();  
            
            webBrowser.navigate(url);   
            p.add(webBrowser, BorderLayout.CENTER);   

            JPanel buttonPanel = new JPanel(new FlowLayout(FlowLayout.CENTER, 4, 4));    
            p.add(buttonPanel, BorderLayout.SOUTH);
            
            getContentPane().add("Center", p);

            setIconifiable(false);
            setLocation(30, 30);
            setSize(920, 650);
            show();
            requestFocus();
        }
        catch(Exception ex)
        {
            Log.debug("Error: " + ex);
            ex.printStackTrace();
        }
    }
}
